ServerEvents.recipes(GregTechApocalypse => {

  GregTechApocalypse.remove({ id: 'ae2:network/blocks/controller' })
  GregTechApocalypse.shaped('ae2:controller', ['UCU', 'BAB', 'UBU'], {
    U: 'ad_astra:desh_block',
    A: 'gtceu:ev_machine_hull',
    B: 'gtceu:silicon_ingot',
    C: 'ae2:engineering_processor'
  })
  GregTechApocalypse.remove({ id: 'ae2:network/blocks/pattern_providers_interface' })
  GregTechApocalypse.shaped('ae2:pattern_provider', ['ABA', 'CFD', 'ABA'], {
    A: 'minecraft:iron_ingot',
    B: 'minecraft:crafting_table',
    C: 'ae2:annihilation_core',
    D: 'ae2:formation_core',
    F: 'ad_astra:glacio_stone'
  })
  GregTechApocalypse.remove({ id: 'ae2:network/parts/terminals_crafting' })
  GregTechApocalypse.shapeless('ae2:crafting_terminal', ['ae2:terminal', 'gtceu:microchip_processor', 'create:mechanical_crafter'])

  GregTechApocalypse.remove({ id: 'ae2:network/blocks/crank' })
  GregTechApocalypse.remove({ id: 'ae2:network/crystal_resonance_generator' })
})